Bug 184603 - Fails with Fascist Build Policy; Built Files not in SPEC
Fails with Fascist Build Policy; Built Files not in SPEC
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-10 00:05 EST by Joseph D. Wagner
Modified: 2014-08-31 19:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-22 17:02:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Log of attempted build. (149.67 KB, text/plain)
2006-03-10 00:06 EST, Joseph D. Wagner
no flags Details

  None (edit)
Description Joseph D. Wagner 2006-03-10 00:05:10 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.5; Linux 2.6.15-1.1833_FC4; X11; i686; en_US) KHTML/3.5.1 (like Gecko)

Description of problem:
To catch potential problems with SPEC files, rpmbuild checks if any files are 
in the %RPM_BUILD_ROOT directory that aren't listed in the %files section of 
the SPEC files (a.k.a. The Fascist Build Policy).  rpmbuild for this package 
fails at this check. 

Version-Release number of selected component (if applicable):
samba-3.0.14a-2.src.rpm

How reproducible:
Always

Steps to Reproduce:
Simply execute the following command on systems with rpm-build >= 4.4: 
rpmbuild --rebuild samba-3.0.14a-2  
    

Actual Results:  rpmbuild exited with error when it found files built that were not part of the 
package. 

Expected Results:  The package should have been built successfully. 

Additional info:

The Fascist Build Policy cannot be turned off from the command line.
Comment 1 Joseph D. Wagner 2006-03-10 00:06:06 EST
Created attachment 125928 [details]
Log of attempted build.
Comment 2 Christian Iseli 2007-01-22 06:41:54 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Note You need to log in before you can comment on or make changes to this bug.